## c2c05c9bf95ace4677a64f535e1ed84652b0cffd

=== bindings/java/src/main/native/Makefile ===
# Makefile.in generated by automake 1.16.1 from Makefile.am.
# bindings/java/src/main/native/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2018 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



#
# Copyright (C) Mellanox Technologies Ltd. 2019.  ALL RIGHTS RESERVED.
# See file LICENSE for terms.
#


am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/ucx
pkgincludedir = $(includedir)/ucx
pkglibdir = $(libdir)/ucx
pkglibexecdir = $(libexecdir)/ucx
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
subdir = bindings/java/src/main/native
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/config/m4/gtest.m4 \
	$(top_srcdir)/config/m4/libtool.m4 \
	$(top_srcdir)/config/m4/ltoptions.m4 \
	$(top_srcdir)/config/m4/ltsugar.m4 \
	$(top_srcdir)/config/m4/ltversion.m4 \
	$(top_srcdir)/config/m4/lt~obsolete.m4 \
	$(top_srcdir)/config/m4/ax_prog_doxygen.m4 \
	$(top_srcdir)/config/m4/graphviz.m4 \
	$(top_srcdir)/config/m4/compiler.m4 \
	$(top_srcdir)/config/m4/sysdep.m4 \
	$(top_srcdir)/config/m4/ucs.m4 $(top_srcdir)/config/m4/ucm.m4 \
	$(top_srcdir)/config/m4/mpi.m4 $(top_srcdir)/config/m4/rte.m4 \
	$(top_srcdir)/config/m4/java.m4 \
	$(top_srcdir)/config/m4/cuda.m4 \
	$(top_srcdir)/config/m4/rocm.m4 \
	$(top_srcdir)/config/m4/gdrcopy.m4 \
	$(top_srcdir)/src/ucm/configure.m4 \
	$(top_srcdir)/src/ucm/cuda/configure.m4 \
	$(top_srcdir)/src/ucm/rocm/configure.m4 \
	$(top_srcdir)/src/uct/configure.m4 \
	$(top_srcdir)/src/uct/cuda/configure.m4 \
	$(top_srcdir)/src/uct/cuda/gdr_copy/configure.m4 \
	$(top_srcdir)/src/uct/ib/configure.m4 \
	$(top_srcdir)/src/uct/ib/cm/configure.m4 \
	$(top_srcdir)/src/uct/ib/rdmacm/configure.m4 \
	$(top_srcdir)/src/uct/rocm/configure.m4 \
	$(top_srcdir)/src/uct/rocm/gdr/configure.m4 \
	$(top_srcdir)/src/uct/sm/configure.m4 \
	$(top_srcdir)/src/uct/sm/cma/configure.m4 \
	$(top_srcdir)/src/uct/sm/knem/configure.m4 \
	$(top_srcdir)/src/uct/sm/mm/configure.m4 \
	$(top_srcdir)/src/uct/sm/mm/xpmem/configure.m4 \
	$(top_srcdir)/src/uct/ugni/configure.m4 \
	$(top_srcdir)/src/tools/perf/configure.m4 \
	$(top_srcdir)/src/tools/perf/lib/configure.m4 \
	$(top_srcdir)/src/tools/perf/cuda/configure.m4 \
	$(top_srcdir)/test/gtest/configure.m4 \
	$(top_srcdir)/test/gtest/ucm/test_dlopen/configure.m4 \
	$(top_srcdir)/test/gtest/ucs/test_module/configure.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(libdir)"
LTLIBRARIES = $(lib_LTLIBRARIES)
am_libjucx_la_OBJECTS = libjucx_la-context.lo \
	libjucx_la-jucx_common_def.lo libjucx_la-ucp_constants.lo \
	libjucx_la-ucs_constants.lo libjucx_la-worker.lo
libjucx_la_OBJECTS = $(am_libjucx_la_OBJECTS)
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 = 
libjucx_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(libjucx_la_CXXFLAGS) \
	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__maybe_remake_depfiles = depfiles
am__depfiles_remade = ./$(DEPDIR)/libjucx_la-context.Plo \
	./$(DEPDIR)/libjucx_la-jucx_common_def.Plo \
	./$(DEPDIR)/libjucx_la-ucp_constants.Plo \
	./$(DEPDIR)/libjucx_la-ucs_constants.Plo \
	./$(DEPDIR)/libjucx_la-worker.Plo
am__mv = mv -f
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS)
AM_V_CXX = $(am__v_CXX_$(V))
am__v_CXX_ = $(am__v_CXX_$(AM_DEFAULT_VERBOSITY))
am__v_CXX_0 = @echo "  CXX     " $@;
am__v_CXX_1 = 
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CXXLD = $(am__v_CXXLD_$(V))
am__v_CXXLD_ = $(am__v_CXXLD_$(AM_DEFAULT_VERBOSITY))
am__v_CXXLD_0 = @echo "  CXXLD   " $@;
am__v_CXXLD_1 = 
SOURCES = $(libjucx_la_SOURCES)
DIST_SOURCES = $(libjucx_la_SOURCES)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/depcomp
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /labhome/andreyma/workspace/ucx/missing aclocal-1.16
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AR = ar
AUTOCONF = ${SHELL} /labhome/andreyma/workspace/ucx/missing autoconf
AUTOHEADER = ${SHELL} /labhome/andreyma/workspace/ucx/missing autoheader
AUTOMAKE = ${SHELL} /labhome/andreyma/workspace/ucx/missing automake-1.16
AWK = gawk
BASE_CFLAGS = -O3 -g -Wall -Werror
BASE_CPPFLAGS = -DCPU_FLAGS="|avx" -I${abs_top_srcdir}/src -I${abs_top_builddir} -I${abs_top_builddir}/src
BASE_CXXFLAGS = -O3 -g -Wall -Werror
CC = gcc
CCAS = gcc
CCASDEPMODE = depmode=gcc3
CCASFLAGS = 
CCDEPMODE = depmode=gcc3
CFLAGS = 
CFLAGS_NO_DEPRECATED =  -Wno-deprecated-declarations
CPP = gcc -E
CPPFLAGS = 
CRAY_UGNI_CFLAGS = 
CRAY_UGNI_LIBS = 
CUDA_CPPFLAGS = 
CUDA_LDFLAGS = 
CXX = g++
CXX11FLAGS = -std=c++11
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DOXYGEN_PAPER_SIZE = 
DSYMUTIL = 
DUMPBIN = 
DX_BIBTEX = 
DX_CONFIG = doc/doxygen/ucxdox
DX_DOCDIR = doc/doxygen-doc
DX_DOT = 
DX_DOXYGEN = /usr/bin/doxygen
DX_DVIPS = 
DX_EGREP = /usr/bin/egrep
DX_ENV =  SRCDIR='.' PROJECT='UCX' DOCDIR='doc/doxygen-doc' VERSION='1.6' PERL_PATH='/usr/bin/perl' HAVE_DOT='NO' GENERATE_MAN='YES' GENERATE_RTF='NO' GENERATE_XML='NO' GENERATE_HTMLHELP='NO' GENERATE_CHI='NO' GENERATE_HTML='YES' GENERATE_LATEX='NO'
DX_FLAG_chi = 0
DX_FLAG_chm = 0
DX_FLAG_doc = 1
DX_FLAG_dot = 0
DX_FLAG_html = 1
DX_FLAG_man = 1
DX_FLAG_pdf = 0
DX_FLAG_ps = 0
DX_FLAG_rtf = 0
DX_FLAG_xml = 0
DX_HHC = 
DX_LATEX = 
DX_MAKEINDEX = 
DX_PDFLATEX = 
DX_PERL = /usr/bin/perl
DX_PROJECT = UCX
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
EXEEXT = 
FGREP = /usr/bin/grep -F
GDR_COPY_CPPFLAGS = 
GDR_COPY_LDFLAGS = 
GITBIN = yes
GRAPHVIZ_DOT = 
GREP = /usr/bin/grep
IBCM_LIBS = 
IBVERBS_CFLAGS = 
IBVERBS_CPPFLAGS = 
IBVERBS_DIR = 
IBVERBS_LDFLAGS = 
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
JAVA = 
JAVABIN = 
JAVA_HOME = 
JDK = 
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBM = -lm
LIBOBJS = 
LIBS = -lpthread -lrt -lrt  -ldl
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIB_MLX5 = 
LIPO = 
LN_RS = ln -s --relative
LN_S = ln -s
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
MAINT = #
MAJOR_VERSION = 1
MAKEINFO = ${SHELL} /labhome/andreyma/workspace/ucx/missing makeinfo
MANIFEST_TOOL = :
MINOR_VERSION = 6
MKDIR_P = /usr/bin/mkdir -p
MPICC = 
MPIRUN = 
MVN = true
MVNBIN = 
NM = /usr/bin/nm -B
NMEDIT = 
NUMA_LIBS = -lnuma
OBJDUMP = objdump
OBJEXT = o

=== debian/changelog ===
ucx (1.6.19a00c6) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Mellanox Ltd. <support@mellanox.com>  Wed, 11 Sep 2013 15:24:22 +0300

=== debian/control ===
Source: ucx
Section: libs
Priority: extra
Maintainer: ucx-group@elist.ornl.gov
Build-Depends:
Standards-Version: 1.6
Homepage: http://www.openucx.org

#Package: ucx-dev
#Section: libdevel
#Architecture: any
#Depends: ucx (= ${binary:Version})
#Description: Header files for UCX library

Package: ucx
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Unified Communication X
 UCX is a communication library implementing high-performance messaging.
